<?php global $woocommerce; ?>
<div class="site-container">
	
	<div class="site-header-left">
		
		<div class="site-branding">
			<?php if( get_header_image() ) : ?>
	            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><img src="<?php esc_url( header_image() ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ) ?>" /></a>
	        <?php else : ?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
			<?php endif; ?>
		</div>
		
	</div>
	
	<div class="site-header-right">
		
		<nav id="site-navigation" class="main-navigation" role="navigation">
			<button class="menu-toggle" aria-controls="menu" aria-expanded="false"><i class="fa fa-bars"></i></button>
			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container_class' => 'main-navigation-inner' ) ); ?>
		</nav><!-- #site-navigation -->
		
		<?php
        if ( xcel_is_woocommerce_activated() ) { ?>
            <div class="header-cart">
                <a class="header-cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart', 'xcel' ); ?>">
                    <span class="header-cart-amount">
                        <?php echo $woocommerce->cart->get_cart_total(); ?> <?php echo sprintf( _n( '(%d)', '(%d)', $woocommerce->cart->cart_contents_count ), $woocommerce->cart->cart_contents_count ); ?>
                    </span>
                    <span class="header-cart-checkout<?php echo ( $woocommerce->cart->cart_contents_count > 0 ) ? ' cart-has-items' : ''; ?>">
                        <i class="fa fa-shopping-cart"></i>
                    </span>
                </a>
            </div>
        <?php
        } ?>
		
		<?php
        if( get_theme_mod( 'xcel-setting-header-search' ) ) :
            echo '<i class="fa fa-search search-btn"></i>';
        	echo '<div class="search-block">';
                get_search_form();
            echo '</div>';
        endif; ?>
        
    </div>
	
</div>